Oracle Cloud Infrastructure Python SDK - 2.5.0ΒΆ

This is the public Python SDK for Oracle Cloud Infrastructure. Python 2.7+ and 3.5+ are supported.

>>> import oci
>>> config = oci.config.from_file(
...     "~/.oci/config",
...     "integ-beta-profile")
>>> identity = oci.identity.IdentityClient(config)
>>> user = identity.get_user(config["user"]).data
>>> print(user)
{
  "compartment_id": "ocid1.tenancy.oc1...",
  "description": "Integration testing user [BETA]",
  "id": "ocid1.user.oc1...",
  "inactive_status": null,
  "lifecycle_state": "ACTIVE",
  "name": "testing+integ-beta@corp.com",
  "time_created": "2016-08-30T23:46:44.680000+00:00"
}

To get started, head over to the installation instructions or see more examples in the quickstart section.

The most recent list of supported services is located on the Python SDK page on the Oracle Cloud Infrastructure Documentation site.

Note: The oraclebmc package is deprecated and will no longer be maintained starting March 2018. Please check the Backward Compatibility section if you are using oraclebmc.